Advanced roadmap - Error #374

NoMethodError in MilestonesController#show
2010-12-10 13:24 - odile oudre

Status: Resolved Start date: 2011-01-16
Priority: Normal Due date: 2011-01-16
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Milestones Estimated time: 0.00 hour
Target version: Advanced roadmap 0.2.1

Source: Redmine version:

Detected on version:

Description

| have redmine 1.0.3 and plugin roadmap 0.2.

I go in Roadmamp, its'OK. Nut when i clic on a milestone (on the right screen | have a error
NoMethodError in MilestonesController#show

undefined method “count' for {5=>5}:Hash

RAILS_ROOQOT: D:/RoR/rails_apps/redmine-1.0.3

could you help me please ?

Associated revisions

Revision caf2875d - 2011-01-16 21:27 - Emilio Gonzalez Montana
#374

e Fix Hash method, calling count instead of length.

History

#1 - 2011-01-06 08:02 - wildwolf zy

| get the same problem? someone help me!
NoMethodError (undefined method “count' for {57=>57}:Hash):
vendor/plugins/advanced_roadmap/app/controllers/milestones_controller.rb:22:in “show'

#2 - 2011-01-16 22:08 - Emilio Gonzalez Montaina

- Target version set to Advanced roadmap 0.2.1

#3 - 2011-01-16 22:18 - Emilio Gonzalez Montana
- Tracker changed from Feature to Error

- Category set to Milestones

- Status changed from New to In progress

- Assignee set to Emilio Gonzalez Montaria

- Priority changed from Urgent to Normal

- Start date changed from 2010-12-10 to 2011-01-16

#4 - 2011-01-16 22:29 - Emilio Gonzalez Montaina
- Due date set to 2011-01-16
- Status changed from In progress to Resolved

- % Done changed from 0 to 100

Really strange case... Hash class doesn't have count method, I've replaced by length method.
The strange thing is that only you two are having this error, by a strange reason (I don't know it) in other Rails installations it seems that Hash class

isn't complaning at all when | call the count method over a Hash object, I've checked the Hash API documentation and the count method isn't present,
but it works! (almost in any installation).
#5 - 2011-01-17 04:24 - wildwolf zy

hello,
| sloved this problem from http://www.ruby-forum.com/topic/162578.

you can change the 'count' into 'size',restart your redmine,and the plugin working fine.

'vendor\plugins\advanced_roadmap\app\controllers\milestones_controller.rb'
--- @more_than_one_project = (projects.count > 1)
+++ @more_than_one_project = (projects.size > 1)

Good luck!
